
/*
Simple auxiliary functions for WIN32 applications
Copyright (C) 2000 Antti Markus (antti@pld.ttu.ee)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef comlibH
#define comlibH

#ifndef __GNUC__
#define STRICT
#endif

#include <windows.h>

//writes string Str to window hwnd
//(assumes that hwnd is a text box handle)
void WriteStr(HWND hwnd, char* Str);

//checks if Str1 and Str2 are identical
//(Str1 is checked against Str2)
int IsStr(const char* Str1, const char* Str2);

//displays an winsock error message
void WSAError(HWND hwnd, const char* pError);

//returns a string containing winsock error message
//corresponding to winsock error code
char* SocketErrorDesc(const int Error);

#endif